Settled trades
curl --request GET \
--url https://data.rekt.trading/v0/tradesimport requests
url = "https://data.rekt.trading/v0/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data.rekt.trading/v0/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.rekt.trading/v0/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.rekt.trading/v0/trades"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.rekt.trading/v0/trades")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.rekt.trading/v0/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"asOf": {
"generatedAt": "2023-11-07T05:31:56Z",
"archiveTailSlot": 123,
"archiveTailAt": "2023-11-07T05:31:56Z",
"stale": true,
"staleReason": "<string>",
"entryFeeBasis": "observed"
},
"tier": "public",
"window": {
"hours": 48,
"since": "2023-11-07T05:31:56Z",
"rule": "<string>"
},
"filters": {
"owner": "<string>",
"market": "<string>",
"beforeSlot": "<string>",
"limit": 123
},
"sampleSize": 123,
"totalMatching": 123,
"nextBeforeSlot": 123,
"trades": [
{
"kind": "trade",
"at": "2023-11-07T05:31:56Z",
"signature": "<string>",
"owner": "<string>",
"market": "<string>",
"seq": "<string>",
"settledSlot": 123,
"stake": "<string>",
"reason": "<string>",
"payouts": {
"trader": "<string>"
},
"reconstruction": {
"verified": true
},
"openedAt": 123,
"openedSlot": 123,
"openSignature": "<string>",
"settledAt": 123,
"direction": "long",
"rungBps": 123,
"tier": "<string>",
"entryPrice": "<string>",
"exitPrice": "<string>",
"capped": true,
"breakdown": {
"collateral": "<string>",
"notional": "<string>",
"grossPnl": "<string>",
"lossTax": "<string>",
"exitFee": "<string>",
"net": "<string>",
"netPnl": "<string>"
},
"entryFee": "<string>",
"timerFee": "<string>",
"receipt": {
"exitFeeTotal": "<string>",
"lossTaxTotal": "<string>",
"payoutTrader": "<string>",
"priceKind": "<string>",
"tick": {
"role": "<string>",
"tickUs": "<string>",
"targetUs": "<string>",
"channel": 123,
"session": 123,
"updateAgeUs": "<string>",
"slot": "<string>"
}
},
"queue": {
"owed": "<string>",
"paidNow": "<string>",
"queued": "<string>",
"delivered": "<string>",
"escrowed": "<string>",
"outstanding": "<string>",
"status": "in-full"
}
}
]
}{
"error": "<string>",
"retryAfterSeconds": 123,
"routes": [
"<string>"
]
}{
"error": "<string>",
"retryAfterSeconds": 123,
"routes": [
"<string>"
]
}{
"error": "<string>",
"retryAfterSeconds": 123,
"routes": [
"<string>"
]
}{
"error": "<string>",
"retryAfterSeconds": 123,
"routes": [
"<string>"
]
}Trades
Settled trades
Settled trades of the last 48 hours, newest first. A page holds at most 100 rows. Page with beforeSlot.
GET
/
v0
/
trades
Settled trades
curl --request GET \
--url https://data.rekt.trading/v0/tradesimport requests
url = "https://data.rekt.trading/v0/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data.rekt.trading/v0/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.rekt.trading/v0/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.rekt.trading/v0/trades"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.rekt.trading/v0/trades")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.rekt.trading/v0/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"asOf": {
"generatedAt": "2023-11-07T05:31:56Z",
"archiveTailSlot": 123,
"archiveTailAt": "2023-11-07T05:31:56Z",
"stale": true,
"staleReason": "<string>",
"entryFeeBasis": "observed"
},
"tier": "public",
"window": {
"hours": 48,
"since": "2023-11-07T05:31:56Z",
"rule": "<string>"
},
"filters": {
"owner": "<string>",
"market": "<string>",
"beforeSlot": "<string>",
"limit": 123
},
"sampleSize": 123,
"totalMatching": 123,
"nextBeforeSlot": 123,
"trades": [
{
"kind": "trade",
"at": "2023-11-07T05:31:56Z",
"signature": "<string>",
"owner": "<string>",
"market": "<string>",
"seq": "<string>",
"settledSlot": 123,
"stake": "<string>",
"reason": "<string>",
"payouts": {
"trader": "<string>"
},
"reconstruction": {
"verified": true
},
"openedAt": 123,
"openedSlot": 123,
"openSignature": "<string>",
"settledAt": 123,
"direction": "long",
"rungBps": 123,
"tier": "<string>",
"entryPrice": "<string>",
"exitPrice": "<string>",
"capped": true,
"breakdown": {
"collateral": "<string>",
"notional": "<string>",
"grossPnl": "<string>",
"lossTax": "<string>",
"exitFee": "<string>",
"net": "<string>",
"netPnl": "<string>"
},
"entryFee": "<string>",
"timerFee": "<string>",
"receipt": {
"exitFeeTotal": "<string>",
"lossTaxTotal": "<string>",
"payoutTrader": "<string>",
"priceKind": "<string>",
"tick": {
"role": "<string>",
"tickUs": "<string>",
"targetUs": "<string>",
"channel": 123,
"session": 123,
"updateAgeUs": "<string>",
"slot": "<string>"
}
},
"queue": {
"owed": "<string>",
"paidNow": "<string>",
"queued": "<string>",
"delivered": "<string>",
"escrowed": "<string>",
"outstanding": "<string>",
"status": "in-full"
}
}
]
}{
"error": "<string>",
"retryAfterSeconds": 123,
"routes": [
"<string>"
]
}{
"error": "<string>",
"retryAfterSeconds": 123,
"routes": [
"<string>"
]
}{
"error": "<string>",
"retryAfterSeconds": 123,
"routes": [
"<string>"
]
}{
"error": "<string>",
"retryAfterSeconds": 123,
"routes": [
"<string>"
]
}Query Parameters
Response
A page of settled trades. With format=ndjson the body is one trade row (TradeRow) on each line, with no envelope. The X-Asof-* headers carry the freshness.
A page of settled trades, newest first.
